Name: udav
Version: 0.6
Release: 1%{?dist}
Summary: Array based data visualization GUI
Summary(ru): это программа визуализации массивов данных
License: GPLv2
Group: Applications/Engineering
Url: http://udav.sourceforge.net
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1: %{name}.desktop

Patch0: %{name}-hdf5-remap.patch
Patch1: %{name}-0.6-project-paths.patch
Patch2: %{name}-0.6-help.patch
Patch3: %{name}-propdialog-qpath.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: mathgl-devel 
BuildRequires: qt4-devel
BuildRequires: gsl-devel
BuildRequires: desktop-file-utils

%description
UDAV is program for data array visualization and is based on the MathGL
library.  It supports a wide range of graphical plots, provides a simple
scripting language and allows for visual data manipulation and editing via
a WYSIWYG interface.

%prep 
%setup -q

%patch0
%patch1
%patch2
%patch3

#Modify the docdir hardcoded in header file
sed -i 's@/usr/local/share/doc/udav/@'%{_docdir}/%{name}@  src/scriptwindow.h src/scriptmenu.cpp

#convert EOL
sed 's/\r//' ChangeLog.txt> ChangeLog.txt.new && \
touch -r ChangeLog.txt ChangeLog.txt.new && \
mv ChangeLog.txt.new ChangeLog.txt


%build
qmake-qt4
cd src/
qmake-qt4
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
#Redirect prefix/local to prefix
mkdir -p $RPM_BUILD_ROOT%{_prefix}
ln -s $RPM_BUILD_ROOT%{_prefix} $RPM_BUILD_ROOT/usr/local

make install INSTALL_ROOT=$RPM_BUILD_ROOT  INSTALL=install -p

rm $RPM_BUILD_ROOT%{_datadir}/applications/UDAV.desktop 

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
desktop-file-install \
		--dir $RPM_BUILD_ROOT%{_datadir}/applications \
		%{SOURCE1}


#remove extra directories after install
rm -rf $RPM_BUILD_ROOT/usr/local

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root, - )
%doc ChangeLog.txt help/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Jan 02 2010 <mycae(a!t)yahoo.com> 0.6-1
- Update to 0.6

* Sat Nov 14 2009 <mycae(a!t)yahoo.com> 0.5.2-2
- Add missing BuildRequires

* Thu Jul 09 2009 <mycae(a!t)yahoo.com> 0.5.2-1
- Update to 0.5.2
- Removed explicit requires.

* Sat May 02 2009 <mycae(a!t)yahoo.com> 0.5.1-1
- Update to 0.5.1

* Tue Jan 13 2009 <mycae(a!t)yahoo.com> 0.5-3
- Modify en summary.
- Fix timestamp in changelog

* Sat Jan 3 2009 <mycae(a!t)yahoo.com> 0.5-2
- Preserve timestamp on cp for installed files
- Removed unneeded qt4
- Remove vendor ID from pixmap
- Fix prep line

* Mon Dec 29 2008 <mycae(a!t)yahoo.com> 0.5-1
- Updated to version 0.5
- Change group from Applications/Office to Applications/Engineering
- Change GPL to GPLv2
- Created fedora specific patches

* Thu Jun 5 2008 Nik <niktr@mail.ru> 
- updated to version 0.4.0.1

* Sat Apr 5 2008 Nik <niktr@mail.ru> 
- updated to version 0.3.2

* Tue Mar 11 2008 Nik <niktr@mail.ru>
- spec cleanup
- icon added
- desktop file added

* Thu Mar 6 2008 Nik <niktr@mail.ru>
- Initial build

